## org.eclipse.emf.mapping.command
Class CreateCopyOverrideCommand

    java.lang.Object
      org.eclipse.emf.common.command.AbstractCommand
          org.eclipse.emf.mapping.command.CreateCopyOverrideCommand

All Implemented Interfaces:
  Command, ChildrenToCopyProvider

    public class CreateCopyOverrideCommand

extends AbstractCommand
implements ChildrenToCopyProvider

This command overrides the CreateCopyCommand for cross-domain copies.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.command.AbstractCommand
`AbstractCommand.NonDirtying`

Field Summary
`protected EObject` `copy` This is the copy.
`protected CopyCommand.Helper` `copyHelper` This is a map of objects to their copies
`protected MappingDomain` `mappingDomain` This keeps track of the mapping domain in which the command operates.
`protected EObject` `owner` This is the object being copied.

Fields inherited from class org.eclipse.emf.common.command.AbstractCommand
`description, isExecutable, isPrepared, label`

Constructor Summary
`CreateCopyOverrideCommand(MappingDomain domain, CreateCopyCommand createCommand)` This creates a command instance that creates a copy of owner.

Method Summary
`void` `execute()` Performs the command activity required for the effect.
`java.util.Collection<?>` `getChildrenToCopy()`
`java.util.Collection<?>` `getResult()` Returns an empty list.
`protected boolean` `prepare()` Called at most once in `AbstractCommand.canExecute()` to give the command an opportunity to ready itself for execution.
`void` `redo()` Performs the command activity required to `redo` the effect after undoing the effect.
`java.lang.String` `toString()` This gives an abbreviated name using this object's own class' name, without package qualification, followed by a space separated list of `field:value` pairs.
`void` `undo()` Throws a runtime exception.

Methods inherited from class org.eclipse.emf.common.command.AbstractCommand
`canExecute, canUndo, chain, dispose, getAffectedObjects, getDescription, getLabel, setDescription, setLabel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mappingDomain

    protected MappingDomain mappingDomain

  This keeps track of the mapping domain in which the command operates.

### owner

    protected EObject owner

  This is the object being copied.

### copy

    protected EObject copy

  This is the copy.

### copyHelper

    protected CopyCommand.Helper copyHelper

  This is a map of objects to their copies

Constructor Detail

### CreateCopyOverrideCommand

    public CreateCopyOverrideCommand(MappingDomain domain,
                                     CreateCopyCommand createCommand)

  This creates a command instance that creates a copy of owner.

Method Detail

### prepare

    protected boolean prepare()

  Description copied from class: `AbstractCommand`
  Called at most once in `AbstractCommand.canExecute()` to give the command an opportunity to ready itself for execution. The returned value is stored in `AbstractCommand.canExecute()`. In other words, you can override this method to initialize and to yield a cached value for the all subsequent calls to canExecute.

  Overrides:
    `prepare` in class `AbstractCommand`
  Returns:
    whether the command is executable.

### execute

    public void execute()

  Description copied from interface: `Command`
  Performs the command activity required for the effect. The effect of calling `execute` when `canExecute` returns `false`, or when `canExecute` hasn't been called, is undefined.

  Specified by:
    `execute` in interface `Command`

### undo

    public void undo()

  Description copied from class: `AbstractCommand`
  Throws a runtime exception.

  Specified by:
    `undo` in interface `Command`
  Overrides:
    `undo` in class `AbstractCommand`

### redo

    public void redo()

  Description copied from interface: `Command`
  Performs the command activity required to `redo` the effect after undoing the effect. The effect, if any, of calling `redo` before `undo` is called is undefined. Note that if you implement `redo` to call `execute` then any derived class will be restricted by that decision also.

  Specified by:
    `redo` in interface `Command`

### getResult

    public java.util.Collection<?> getResult()

  Description copied from class: `AbstractCommand`
  Returns an empty list.

  Specified by:
    `getResult` in interface `Command`
  Overrides:
    `getResult` in class `AbstractCommand`
  Returns:
    an empty list.

### getChildrenToCopy

    public java.util.Collection<?> getChildrenToCopy()

  Specified by:
    `getChildrenToCopy` in interface `ChildrenToCopyProvider`

### toString

    public java.lang.String toString()

  This gives an abbreviated name using this object's own class' name, without package qualification, followed by a space separated list of `field:value` pairs.

  Overrides:
    `toString` in class `AbstractCommand`
  Returns:
    string representation.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.